petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCHYPRESetInterpolations

Set interpolation matrices for AMS/ADS preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetInterpolations(PC pc, PetscInt dim, Mat RT_PiFull, Mat RT_Pi[], Mat ND_PiFull, Mat ND_Pi[])

Collective on PC

### Input Parameters

| pc | - the preconditioning context
| dim | - the dimension of the problem, only used in AMS

RT_PiFull -Raviart-Thomas interpolation matrix
RT_Pi -x/y/z component of Raviart-Thomas interpolation matrix
ND_PiFull -Nedelec interpolation matrix
ND_Pi -x/y/z component of Nedelec interpolation matrix

### Notes

For AMS, only Nedelec interpolation matrices are needed, the Raviart-Thomas interpolation matrices can be set to NULL. For ADS, both type of interpolation matrices are needed.

### See Also

### Level

intermediate

### Location

src/ksp/pc/impls/hypre/hypre.c

### Implementations

PCHYPRESetInterpolations_HYPRE in src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages